# Nirogu-dotfiles

My personal dotfiles for void linux + river + catppuccin macchiato theme.

![ScreenShot1](screenshots/ss1.jpeg)
![ScreenShot2](screenshots/ss2.jpeg)

## Installation

Everything goes in `$HOME/.config`, excepting `zshrc` (which goes in `$HOME/.zshrc`), `gitconfig` (which goes in `$HOME/.gitconfig`) and `gtk-themes` (which goes in `$HOME/.themes`).

Additionally, you should set the environment variables `MOZ_ENABLE_WAYLAND=1` and `QT_QPA_PLATFORMTHEME=qt6ct` by any method you want (for example, writing them in your shell profile files or in `/etc/environment`).

## Software

- **Operating system:** [Void linux](https://voidlinux.org)
- **Window manager:** [River](https://isaacfreund.com/software/river) with the [wideriver layout](https://github.com/alex-courtis/wideriver)
- **Status bar:** [Yambar](https://codeberg.org/dnkl/yambar)
- **Terminal:** [Foot](https://codeberg.org/dnkl/foot)
- **Shell:** [Zsh](https://www.zsh.org) with the [starship](https://starship.rs) prompt
- **Launcher:** [Fuzzel](https://codeberg.org/dnkl/fuzzel)
- **File manager:** [Pcmanfm-qt](https://github.com/lxqt/pcmanfm-qt) or [nnn](https://github.com/jarun/nnn)
- **Notifications:** [Mako](https://github.com/emersion/mako)
- **Text editor:** [Helix](https://helix-editor.com)
- **Web browser:** [Firefox](https://mozilla.org/firefox)
- **Wallpaper helper:** [Wbg](https://codeberg.org/dnkl/wbg)
- **Resource monitor:** [Btop](https://github.com/aristocratos/btop)
- **Logout menu:** [Wlogout](https://github.com/ArtsyMacaw/wlogout)
- **Screen locker:** [Waylock](https://isaacfreund.com/software/waylock)
- **Screenshots:** [Grim](https://sr.ht/~emersion/grim) and [slurp](https://github.com/emersion/slurp)
- **Music player:** [Spotify-player](https://github.com/aome510/spotify-player)
- **Email client:** [Thunderbird](https://www.thunderbird.net) or [aerc](https://aerc-mail.org)
- **Document reader:** [Zathura](https://pwmt.org/projects/zathura)
- **Image viewer:** [Nomacs](https://nomacs.org)

## Keybindings

| Keys                                    | Action             |
| --------------------------------------- | ------------------ |
| <kbd>SUPER</kbd> + <kbd>SPACE</kbd>     | Applications menu  |
| <kbd>SUPER</kbd> + <kbd>ENTER</kbd>     | Spawn terminal     |
| <kbd>SUPER</kbd> + <kbd>B</kbd>         | Spawn browser      |
| <kbd>SUPER</kbd> + <kbd>E</kbd>         | Spawn file manager |
| <kbd>SUPER</kbd> + <kbd>Q</kbd>         | Kill window        |
| <kbd>SUPER</kbd> + <kbd>BACKSPACE</kbd> | Logout menu        |

More keybindings can be found in the [river configuration file](river/init).

## License

These dotfiles are released under the 0BSD license, which is functionally equivalent to a release into the public domain (anyone can use these dotfiles without any restrictions or warranties).
